(***********************************************************************)
(*                                                                     *)
(*                         Fast Escape Analysis                        *)
(*                                                                     *)
(*                  Bruno Blanchet, ENS Ulm - INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ttrtype.mli,v 1.4 2000/10/24 08:47:57 bblanche Exp $ *)

open Tenvir

module TranslType :
  sig
    type typemap_t
    val typemap : typemap_t ref
    val modname : string ref
    val decl : Envir.t -> (Ident.t * Types.type_declaration) list -> Envir.t
    val expr : Envir.t -> Types.type_expr -> Ttype.newtype_t
    val instantiate : Ttype.t_hierarchy_mod -> Ttype.t_hierarchy_mod ->
      Ttype.t_hierarchy_mod -> Ttype.t_hierarchy_mod
    val copy_sig : Ttype.t_hierarchy_mod -> Ttype.t_hierarchy_mod
  end
