(* $Id: pretty.mli,v 1.1 1998/02/15 18:16:08 blanchet Exp $ *)

(**** ML Programs from the book

  ML for the Working Programmer
  by Lawrence C. Paulson, Computer Laboratory, University of Cambridge.
  (Cambridge University Press, 1991)

Copyright (C) 1991 by Cambridge University Press.
Permission to copy without fee is granted provided that this copyright
notice and the DISCLAIMER OF WARRANTY are included in any copy.

DISCLAIMER OF WARRANTY.  These programs are provided `as is' without
warranty of any kind.  We make no warranties, express or implied, that the
programs are free of error, or are consistent with any particular standard
of merchantability, or that they will meet your requirements for any
particular application.  They should not be relied upon for solving a
problem whose incorrect solution could result in injury to a person or loss
of property.  If you do use the programs or functions in such a manner, it
is at your own risk.  The author and publisher disclaim all liability for
direct, incidental or consequential damages resulting from your use of
these programs or functions.
****)


(*** Pretty printing.  See Oppen (1980).  From Chapter 8.  ***)

type t
val blo : int * t list -> t
val str : string -> t
val brk : int -> t
val nl  : t
val nl' : t
val pr  : out_channel * t * int -> unit
val makestring: t -> string
val insertDelimitors : 'a list * 'a list -> 'a list
val padLeft: string * int -> string
val padRight: string * int -> string
val padCenter: string * int -> string
